using System.Reflection;

namespace Telegram.Bot.SpaceApi.Backend.Utils;

public static class ApplicationInformation {
	public const bool   WideContainers = false;
	public const string Project        = "Telegram.Bot.SpaceApi";
	public const string Repository     = "https://git.ztn.sh/zotan/Telegram.Bot.SpaceApi";

	public static readonly string Version =
		((AssemblyInformationalVersionAttribute)Assembly.GetEntryAssembly()!.GetCustomAttributes(typeof(AssemblyInformationalVersionAttribute), false)[0])
		.InformationalVersion[6..];

	public static readonly string LinkVersion = Version.Length >= 8 ? Version[..8] : Version;
	public static readonly bool   HasVersion  = Version != "unknown";
}
